SIM Management
API Reference
Configure Bundle Control

Configure Bundle Control

Allows the creation or modification of data bundles.

Network Support

NetworkNetworkId
Orange (France) M2M192
Orange (France) LMVNO234
  • SIM status must be "on-hire"
  • All SIMs must be:
    • On the same network
    • On the same account
NameTypeDescriptionRestrictions
namestringName given by User to submissionOptional
serialNumberstring arrayserialNumbers of stock to create/modify bundleRequired
zonestringIdentifier of bundle roaming zone. Talk to Cellhire representative if you do not know zones available to youRequired
bundleControlPeriodstringThe frequency the bundle will renewOptions: "oneOff", "daily", "monthly". Some options may not be allowed dependent on network. Required
sizeMbintSize of data bundle in MBRequired
startDateDateTimeThe date the bundle will be active fromRequired. Must be no more than a month prior to current UTC date
endDateDateTimeThe date the bundle will be stopped. If "oneOff" bundle this will be when bundle stops. If "daily" or "monthly" this will be when bundle stops renewingOptional
bundleControlEndActionstringAction to be taken by network if usage goes above bundle sizeOptions "cutoff", "throttle" dependent on tariff. Required
roamingBucketVolumesobject arrayCertain networks allow specification of allowances for particuar roaming zonesOptional

Request

curl --location 'https://api.cellhire.com/api/simsubmission/ConfigureBundleControl' \
  -header 'Content-Type: application/json;charset=UTF-8' \
  -header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDNDdFMjE.....' \
  --data '{
    "name":"Submission Name",
    "serialNumbers":["01234567890"],
    "zone":"europe",
    "bundleControlPeriod":"monthly",
    "sizeMb":2048,
    "startDate":"2024-10-21T09:25:34.524Z",
    "endDate":null, 
    "bundleControlEndAction":"cutoff",
    "roamingBucketVolumes":
    [ 
        {"Name: "BucketName", "AllowanceMB": 1024 }
    ]    
    }'

Successful Response

NameTypeDescription
ticketNumberguidSubmission Id that has been created
{ "ticketNumber": "1beeb8dd-1825-4bcd-8a62-f941aacb8d15" }